diff a/src/hotspot/share/ci/ciInstanceKlass.hpp b/src/hotspot/share/ci/ciInstanceKlass.hpp
--- a/src/hotspot/share/ci/ciInstanceKlass.hpp
+++ b/src/hotspot/share/ci/ciInstanceKlass.hpp
@@ -1,7 +1,7 @@
 /*
- * Copyright (c) 1999, 2023, Oracle and/or its affiliates. All rights reserved.
+ * Copyrigt (c) 1999, 2023, Oracle and/or its affiliates. All rights reserved.
  * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
  *
  * This code is free software; you can redistribute it and/or modify it
  * under the terms of the GNU General Public License version 2 only, as
  * published by the Free Software Foundation.
@@ -294,10 +294,14 @@
   bool has_trusted_loader() const {
     return _has_trusted_loader;
   }
   GrowableArray<ciInstanceKlass*>* transitive_interfaces() const;
 
+  int hash_offset_in_bytes() const {
+    return get_instanceKlass()->hash_offset_in_bytes(nullptr);
+  }
+
   // Replay support
 
   // Dump the current state of this klass for compilation replay.
   virtual void dump_replay_data(outputStream* out);
 
